Bug 562847 - Review Request: bfa-firmware - Brocade Fibre Channel HBA Firmware
Summary: Review Request: bfa-firmware - Brocade Fibre Channel HBA Firmware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-08 15:09 UTC by Tom "spot" Callaway
Modified: 2010-03-11 07:26 UTC (History)
3 users (show)

Fixed In Version: bfa-firmware-2.1.2.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 07:21:20 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-02-08 15:09:29 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/bfa-firmware.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/bfa-firmware-2.1.2.1-1.fc13.src.rpm
Description: 
Brocade Fibre Channel HBA Firmware.

Reviewer note:
This is firmware, so there is no source available. This firmware enables the use of Brocade Fibre Channel HBA cards (which use the bfa driver). The license for the firmware meets the criteria for Binary Firmware, set up here: https://fedoraproject.org/wiki/Licensing#Binary_Firmware

Comment 1 Peter Lemenkov 2010-02-09 10:34:18 UTC
I'll review this

Comment 2 Peter Lemenkov 2010-02-09 12:19:10 UTC
REVIEW:

+ rpmlint is silent

[petro@Sulaco SPECS]$ rpmlint ../RPMS/noarch/bfa-firmware-2.1.2.1-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco SPECS]$

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

- The package DOES NOT meet the Packaging Guidelines - one missing "Requires: udev" (owner of /lib/firmware). Other things looks sane.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

05751f5b37c2a833533878b6ed20b4b97b2292a276e7e4e3cf563c295a6a8c38  cbfw.bin
67278ade27b661c8434460720cc72dfb99201a1ccd13e3532ff697fee79f1d0b  ctfw.bin

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please, add the only missing Requires, and I'll continue.


BTW are there any particular reasons not to package ver. 2010-02-03 ? (  )http://www.kernel.org/pub/linux/kernel/people/mcgrof/firmware/ar9170/2010-02-03/

Comment 3 Peter Lemenkov 2010-02-09 12:21:23 UTC
Oops! Please, ignore my comment about ar9170

Comment 4 Peter Lemenkov 2010-03-07 14:45:33 UTC
Ping!

Comment 6 Peter Lemenkov 2010-03-08 14:51:41 UTC
APPROVED

Comment 7 Tom "spot" Callaway 2010-03-08 21:20:22 UTC
New Package CVS Request
=======================
Package Name: bfa-firmware
Short Description: Brocade Fibre Channel HBA Firmware
Owners: spot
Branches: F-11 F-12 F-13 devel
InitialCC:

Comment 8 Kevin Fenzi 2010-03-09 06:12:23 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-03-09 20:09:58 UTC
bfa-firmware-2.1.2.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bfa-firmware-2.1.2.1-2.fc13

Comment 10 Fedora Update System 2010-03-09 20:10:03 UTC
bfa-firmware-2.1.2.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bfa-firmware-2.1.2.1-2.fc12

Comment 11 Fedora Update System 2010-03-09 20:10:08 UTC
bfa-firmware-2.1.2.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bfa-firmware-2.1.2.1-2.fc11

Comment 12 Fedora Update System 2010-03-11 07:21:16 UTC
bfa-firmware-2.1.2.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-11 07:23:44 UTC
bfa-firmware-2.1.2.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-03-11 07:26:25 UTC
bfa-firmware-2.1.2.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.